dppsu: xdppsu_poll_example.c File Reference

| dppsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xdppsu_poll_example.c File Reference

## Overview

Contains a design example using the XDpPsu driver with polling.

Once the polling detects a Hot-Plug-Detect event (HPD - DisplayPort cable is plugged/ unplugged or the monitor is turned on/off), the main link will be trained.

Note
  For this example to display output, the user will need to implement initialization of the system (DpPsu_PlatformInit) and, after training is complete, implement configuration of the video stream source in order to provide the DisplayPort core with input (DpPsu_StreamSrc* - called in xdppsu_common_example.c).
  The functions DpPsu_PlatformInit and DpPsu_StreamSrc* are declared extern in xdppsu_common_example.h and are left up to the user to implement.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   aad  14/10/17 Initial creation.

## Functions
u32 | DpPsu_PollExample (XDpPsu *InstancePtr, u16 DeviceId)
| The main entry point for the polling example using the XDpPsu driver. More...
int | main (void)
| This function is the main function of the XDpPsu polling example. More...

## Function Documentation

u32 DpPsu_PollExample | ( | XDpPsu * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

The main entry point for the polling example using the XDpPsu driver.

This function will set up the system. If this is successful, this example will begin polling the Hot-Plug-Detect (HPD) status registers for HPD events. Once a connection event or a pulse is detected, link training will commence (if needed) and a video stream will start being sent over the main link.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  DeviceId | is the unique device ID of the DisplayPort TX core instance.

Returns
  - XST_FAILURE if the system setup failed.
  - XST_SUCCESS should never return since this function, if setup was successful, is blocking.

Note
  If system setup was successful, this function is blocking in order to illustrate polling taking place for HPD events.

Referenced by main().

int main | ( | void |  | ) |

This function is the main function of the XDpPsu polling example.

Parameters

  None. |

Returns
  - XST_FAILURE if the polling example was unsuccessful - system setup failed.

Note
  Unless setup failed, main will never return since DpPsu_PollExample is blocking (it is continuously polling for Hot-Plug-Detect (HPD) events.

References DpPsu_PollExample().